## org.opengis.geometry.complex
Interface CompositeCurve

All Superinterfaces:
  Complex, Composite, Geometry, OrientableCurve, OrientablePrimitive, Primitive, TransfiniteSet

All Known Subinterfaces:
  Ring

    @UML(identifier="GM_CompositeCurve",
         specification=ISO_19107)
    public interface CompositeCurve

extends Composite, OrientableCurve

A complex with all the geometric properties of a curve. Thus, this composite can be considered as a type of orientable curve. Essentially, a composite curve is a list of orientable curves agreeing in orientation in a manner such that each curve (except the first) begins where the previous one ends.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
TODO:
  This interface extends (indirectly) both `Primitive` and `Complex`. Concequently, there is a clash in the semantics of some set theoretic operation. Specifically, `Primitive.contains(...)` (returns FALSE for end points) is different from `Complex.contains(...)` (returns TRUE for end points).

Method Summary

Methods inherited from interface Composite
`getGenerators`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.